<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Update person</title>
</head>
<body>

<form th:method="PATCH" th:action="@{/people/{id}(id=${person.getId()})}" th:object="${person}">
    <label for="name">Enter name: </label>
    <input type="text" th:field="*{name}" id="name"/>
    <div style="color:red" th:if="${#fields.hasErrors('name')}" th:errors="*{name}">Name Error</div>
    <br/>
    <label for="age">Enter age: </label>
    <input type="text" th:field="*{age}" id="age"/>
    <div style="color:red" th:if="${#fields.hasErrors('age')}" th:errors="*{age}">Age Error</div>

    <input type="submit" value="Update!"/>
</form>

</body>
</html>